Kismet Wireless

Kismet Forums

 

Posted by:wookie7
Subject:wispy-tools Compile help needed for Mac OS X
Date:19:14:34 05/03/2006

I have Mac OS X 10.4.5 with Xcode and also Darwin Ports installed. I tried to ./configure and got an error that it couldn't find and couldn't use usb.h

checking usb.h usability... no
checking usb.h presence... no
checking for usb.h... no
configure: error: *** LibUSB required.

So I downloaded and compiled libusb-0.1.10a

Afterward I I tried to ./configure wispy-tools again and get:

checking usb.h usability... no
checking usb.h presence... yes
configure: WARNING: usb.h: present but cannot be compiled
configure: WARNING: usb.h: check for missing prerequisite headers?
configure: WARNING: usb.h: see the Autoconf documentation
configure: WARNING: usb.h: section "Present But Cannot Be Compiled"
configure: WARNING: usb.h: proceeding with the preprocessor's result
configure: WARNING: usb.h: in the future, the compiler will take precedence
configure: WARNING: ## ------------------------------------------ ##
configure: WARNING: ## Report this to the AC_PACKAGE_NAME lists. ##
configure: WARNING: ## ------------------------------------------ ##
checking for usb.h... yes
checking for usb_init in -lusb... yes

Has someone already compiled this on OS X, and how? A short set of instructions and any prerequisites would be appreciated. Thanks


Reply to this message